Skip to main content
GET
Get Cryptocurrency Transfer

Authorizations

Authorization
string
header
required

Bearer authentication with an API token

Path Parameters

transfer_id
string
required

Unique identifier of the cryptocurrency transfer

Response

Success

id
string
required

Unique identifier of the cryptocurrency transfer

request_id
string<uuid>
required

Request identifier in a UUID format. Serves as an idempotency key.

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
account_id
string
required

Unique identifier of the account transferring the cryptocurrency

account_address
string
required

Address of the account transferring the cryptocurrency

currency_symbol
string
required

Symbol or ticker of the cryptocurrency to send

amount
string
required

Amount to send in the asset currency's default unit (ex: Ether for ETH)

destination_address
string
required

Address of the recipient to receive the cryptocurrency

destination_chain
enum<string>
required

Chain identifier for the cryptocurrency transaction

Available options:
CHAIN_UNSPECIFIED,
ETHEREUM_MAINNET,
POLYGON_MAINNET,
ETHEREUM_TESTNET,
OPTIMISM_SEPOLIA,
BASE_MAINNET,
BASE_SEPOLIA,
OPTIMISM_MAINNET,
POLYGON_AMOY,
SOLANA_MAINNET,
SOLANA_DEVNET
Example:

"ETHEREUM_MAINNET"

status
enum<string>
required

Status of a cryptocurrency transfer as it moves through the processing pipeline.

  • TRANSFER_STATUS_UNSPECIFIED: Default value, should not be used.
  • ACCEPTED: The transfer request has been received and validated, but has not yet been batched or submitted to the blockchain.
  • SUBMITTED: The transfer has been submitted to the blockchain and is awaiting confirmation.
  • CONFIRMED: The transfer has been confirmed on the blockchain. This is a terminal status.
  • FAILED: The transfer has failed. Check the failureDetails field for more information. This is a terminal status.
  • DROPPED: The transfer has been dropped. This is a terminal status.
Available options:
TRANSFER_STATUS_UNSPECIFIED,
ACCEPTED,
SUBMITTED,
CONFIRMED,
FAILED,
DROPPED,
CANCELED
Example:

"ACCEPTED"

created_at
string
required

Timestamp when the cryptocurrency transfer was created

updated_at
string
required

Timestamp when the cryptocurrency transfer was last updated

transaction_hash
string
required

Hash of the cryptocurrency transaction

completed_at
string
required

Timestamp when the cryptocurrency transfer was completed

failure_details
failure_details · object

(OPTIONAL) Details of the failure if the transfer is not successful.

events
ContractEvent · object[]

Contract events emitted by the transaction.

destination_type
enum<string>

(OPTIONAL) Type of destination for this transfer (ON_CHAIN for external, ACCOUNT for internal P2P).

Available options:
DESTINATION_TYPE_UNSPECIFIED,
ON_CHAIN,
ACCOUNT
Example:

"ON_CHAIN"

destination_account_id
string

(OPTIONAL) Unique identifier of the destination account, populated when destination_type is ACCOUNT.